package com.keao.edu.user.entity;

import com.keao.edu.user.enums.SongTypeEnum;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(exam_song):
 */
public class ExamSong {

	@ApiModelProperty(value = "曲目编号")
	private Integer id;

	@ApiModelProperty(value = "曲目名")
	private String songName;

	@ApiModelProperty(value = "作者名")
	private String songAuthor;
	
	@ApiModelProperty(value = "专业")
	private String subjectList;

	@ApiModelProperty(value = "专业名称")
	private String subjectNames;

	@ApiModelProperty(value = "级别")
	private String levelList;

	@ApiModelProperty(value = "曲目类别")
	private SongTypeEnum type;

	@ApiModelProperty(value = "曲目文件地址")
	private String fileUrlList;

	private Integer delFlag;

	private java.util.Date createTime;

	private java.util.Date updateTime;

	private String tenantId;

	public String getTenantId() {
		return tenantId;
	}

	public void setTenantId(String tenantId) {
		this.tenantId = tenantId;
	}

	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setSongName(String songName){
		this.songName = songName;
	}
	
	public String getSongName(){
		return this.songName;
	}
			
	public void setSongAuthor(String songAuthor){
		this.songAuthor = songAuthor;
	}
	
	public String getSongAuthor(){
		return this.songAuthor;
	}
			
	public void setSubjectList(String subjectList){
		this.subjectList = subjectList;
	}
	
	public String getSubjectList(){
		return this.subjectList;
	}

	public String getSubjectNames() {
		return subjectNames;
	}

	public void setSubjectNames(String subjectNames) {
		this.subjectNames = subjectNames;
	}

	public void setLevelList(String levelList){
		this.levelList = levelList;
	}
	
	public String getLevelList(){
		return this.levelList;
	}
			
	public void setType(SongTypeEnum type){
		this.type = type;
	}
	
	public SongTypeEnum getType(){
		return this.type;
	}
			
	public void setFileUrlList(String fileUrlList){
		this.fileUrlList = fileUrlList;
	}
	
	public String getFileUrlList(){
		return this.fileUrlList;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}

	public Integer getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(Integer delFlag) {
		this.delFlag = delFlag;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
